const { NotAuthorizedException } = require('lx-errors');
const session = require('../session');
const createItem = require('./createItem');


module.exports = function *(args) {
  const user = session.get('user');
  if (!user) {
    throw new NotAuthorizedException();
  }
  args.userId = user.id;
  return yield createItem(args);
};

