const { NotAuthorizedException } = require('lx-errors');
const session = require('../session');
const getUser = require('./getUser');


module.exports = function *() {
  const user = session.get('user');
  if (!user) {
    throw new NotAuthorizedException();
  }
  const id = user.id;
  return yield getUser({ id, });
};


