const session = require('../session');
const updateUser = require('./updateUser');


function *updateMyProfile(args) {
  const user = session.get('user');
  if (!user) {
    throw new NotAuthorizedException();
  }
  args.id = user.id;
  return yield updateUser(args);
}

module.exports = updateMyProfile;

