const { NotAuthorizedException } = require('lx-errors');
const session = require('../session');
const getItem = require('./getItem');


function *getMyItem(args) {
  const user = session.get('user');
  if (!user) {
    throw new NotAuthorizedException();
  }
  const item = yield getItem(args);
  if (item.userId !== user.id) {
    throw new NotAuthorizedException();
  }
  return item;
};

module.exports = getMyItem;

