const { NotAuthorizedException } = require('lx-errors');
const session = require('../session');
const listItems = require('./listItems');


function *listMyItems(args) {
  const user = session.get('user');
  if (!user) {
    throw new NotAuthorizedException();
  }
  args = args || {};
  args.where = args.where || {};
  args.where.userId = user.id;
  return yield listItems(args);
};

module.exports = listMyItems;

